<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDipEdit</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDipEdit.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      This multi-function panel allows to manage the DIP config DPs, subscribe
      and unsubscribe from the DIP publications and to publish and unpublish
      data from WinCC OA.
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2">
      The header of the panel contains the button which allows the selection
      of the mode of operation (modes of operation will be explained below) and
      a selection box for selecting the DIP API manager config DP. Each DIP API
      manager uses a separate config.
      <p>
      <b>DIP Manager</b> section provides some basic operations on the API
      Manager and on the DIP config DPs. There are three sections:
      <ul>
      <li> Config related actions - adding new config and removing the existing
      	one. These options should not be generally used.
      <li> Browser Cache - allows to issue the command to the API Manager
      	to regenerate the cache with the DIP hierarchy. It is necessary
	to view newly published publications.
      <li> Queries - allows to specify how long to wait for the response from
        the API Manager. The default should not be tweaked.
      </ul>
      </p>
      <b>Subscriptions</b> - The combo box &quot;Subscribed Services&quot;
      contains the list of all the DIP publications that the API manager is
      currently subscribed to (it is analogous to the list in the fwDipView in
      &quot;Subscribed Services&quot; view). The table below contains the
      detailed information about subscriptions of selected DIP publication -
      which DPEs are being subscribed to which DIP tags.<br>
      The panel allows to unsubscribe from all the DPEs in the table or to
      unsubscribe only the selected DPE. These operations are invoked by using
      &quot;Unsubscribe&quot; and &quot;Unsubscribe DPE&quot; buttons
      <p>
      The &quot;New Subscription&quot; part of the panels allows to subscribe
      to:
      	<ul>
		<li> simple publications (*)
		<li> single fields of complex publications (*)
		<li> complex publications (**)
	</ul>
      The combo box allows to choose the mode of operation - <i>simple</i>&nbsp;(*)
      and <i>complex</i>&nbsp;(**). Depending on the selection the displayed 
      fields change.<br>
      For <i>simple</i> mode - the user has to select the publication by means
      of the browser and select the DPE from the selector.<br>
      For <i>complex</i> mode - the user has to select the publication and then
      after clicking the &quot;Add Subscription&quot; button the panel for
      complex subscribtion will appear (fwDipEditDptCreate).
      </p>

      <p>
      <b>Publications</b>  - The combo box &quot;Published Services&quot;
      contains the list of all the publications that are being published
      (it is analogous to list in the fwDipView in &quot;Published
      Services&quot; view). The table below contains the detailed information
      about the structure of the selected publication - which DPEs are being
      published under which DIP tags.<br>
      
      In order to unpublish the publication it is necessary to click the
      &quot;Del Publication&quot; button.<br>
      
      Creation of the new publication is started by clicking the &quot;Add
      Publication&quot; button. Then one has to insert <b>at least</b> one
      tag into the publication by filling the fields in the bottom part of the
      panel. It is necessary to click &quot;Save changes&quot; button in order
      to finish the creation of the publication.<br>
      
      One can also modify the existing publication - it is possible to add
      additional fields or remove existing ones (by selecting a row from a table
      and clicking the &quot;Del DPE&quot; button. All changes are commited
      only after clicking the &quot;Save changes&quot; button. In order to reset
      the data (undo the unsaved changes), one has to click &quot;Reload&quot;
      button
      
      </p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">
      The values of the DPEs are not updated dynamically.
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">
        <div align="center">
          <img
 src="fwDipEdit1.PNG" alt="Panel screenshot" width="636" height="617"></div>
      </td>
    </tr>
    <tr>
      <td width="0" height="0">
        <div align="center"><BR>
          <img
 src="fwDipEdit2.PNG" alt="Panel screenshot" width="636" height="617"></div>
      </td>
    </tr>
    <tr>
      <td width="0" height="0">
        <div align="center"><BR>
          <img
 src="fwDipEdit3.PNG" alt="Panel screenshot" width="636" height="617"></div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>